Deletes the large object

- « Pdo\Pgsql::lobOpen

- Pdo\Pgsql::setNoticeCallback »

- PHP Manual
- Pdo\pgsql
- Deletes the large object

# Pdo\Pgsql::lobUnlink

(PHP 8 >= 8.4.0)

Pdo\Pgsql::lobUnlink — Deletes the large object

### Description

public Pdo\Pgsql::lobUnlink(string `$oid`): bool

Deletes a large object from the database identified by OID.

> Note: This function, and all manipulations of the large object, must be called and carried out within a transaction.

### Parameters

`oid`
  A large object identifier.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Pdo\Pgsql::lobUnlink() example

This example unlinks a large object from the database prior to deleting the row that references it from the blobs table are used in the examples of Pdo\Pgsql::lobCreate() and Pdo\Pgsql::lobOpen().

    <?php
    $db = new PDO('pgsql:dbname=test host=localhost', $user, $pass);
    $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $db->beginTransaction();
    $db->pgsqlLOBUnlink($oid);
    $stmt = $db->prepare("DELETE FROM BLOBS where ident = ?");
    $stmt->execute(array($some_id));
    $db->commit();
    ?>

### See Also

- Pdo\Pgsql::lobCreate() - Creates a new large object
- Pdo\Pgsql::lobOpen() - Opens an existing large object stream
- pg_lo_create() - Create a large object
- pg_lo_open() - Open a large object